﻿.card-manual {
    width: 20rem;
    height: 25rem;
}

    .card-manual .card-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        height: 2.2rem;
    }

        .card-manual .card-header .card-title {
            display: flex;
            align-items: center;
            justify-content: flex-start;
            margin: 0;
            padding: 0;
            gap: 0.6rem;
            font-size: 1.1rem;
            font-weight: 600;
        }

        .card-manual .card-header .card-icon {
            font-size: 1.4rem;
        }

    .card-manual .card-body {
        display: flex;
        flex-direction: column;
        flex-grow: 1;
        padding: 0.5rem;
    }



.card-auto {
    width: 20rem;
    height: 14.8rem;
}

    .card-auto .card-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        height: 2.5rem;
    }

        .card-auto .card-header .card-title {
            display: flex;
            align-items: center;
            justify-content: flex-start;
            margin: 0;
            padding: 0;
            gap: 0.6rem;
            font-size: 1.1rem;
            font-weight: 600;
        }

        .card-auto .card-header .card-icon {
            font-size: 1.4rem;
        }

    .card-auto .card-body {
        display: flex;
        flex-direction: column;
        flex-grow: 1;
        padding: 0.5rem;
    }

.card-auxi {
    width: auto;
    height: 100%
}

.card-auxi h6{
    margin: 0;
}

    .card-auxi .card-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        height: 2.2rem;
    }

        .card-auxi .card-header .card-title {
            display: flex;
            align-items: center;
            justify-content: flex-start;
            margin: 0;
            padding: 0;
            gap: 0.6rem;
            font-size: 1.1rem;
            font-weight: 600;
        }

        .card-auxi .card-header .card-icon {
            font-size: 1.4rem;
        }

    .card-auxi .card-body {
        display: flex;
        flex-direction: column;
        flex-grow: 1;
        padding: 0.5rem;
    }



.card-probe {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 12rem;
    height: 3.8rem;
    padding: 0 0.5rem;
    /*box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);*/
}

    .card-probe .probe-icon {
        flex: 0 0 30%;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 2rem;
    }

    .card-probe .probe-container {
        flex: 0 0 70%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: left;
        padding-left: 0.5rem;
    }

        .card-probe .probe-container .probe-title {
            font-size: 1.1rem;
            font-weight: 400;
        }

        .card-probe .probe-container .probe-body {
            display: flex;
            flex-direction: row;
            align-items: baseline;
            margin-top: -2px;
        }

            .card-probe .probe-container .probe-body .probe-value {
                font-size: 1rem;
                padding-right: .4rem;
            }

            .card-probe .probe-container .probe-body .probe-unit {
                font-size: 1rem;
            }

.card-cyclic {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 3.8rem;
    /*box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);*/
    gap: 1rem;
}

    .card-cyclic .cyclic-container {
        padding: 0 1.5rem;
        margin: 0;
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: flex-start;
        align-items: start;
    }

        .card-cyclic .cyclic-container .cyclic-body {
            display: flex;
            flex-direction: row;
        }

.cyclic-title {
    padding: 0;
    margin: 0;
    line-height: 1rem;
    font-size: 1rem;
    font-weight: 500;
    display: block;
    text-align: left;
}

.cyclic-value,
.cyclic-unit {
    padding: 0;
    margin: 0;
    font-size: 1rem;
    display: block;
    text-align: left;
}

.card-parameter-editor {
    flex: 0 0 22rem;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    padding: 0.75rem 10px;
    box-shadow: 0 1px 3px rgba(0,0,0,0.05);
    overflow-y: auto;
    overflow-x: hidden;
    scrollbar-width: thin;
}

.card-editor-button {
    border: none;
    background-color: transparent;
}